buildr-commits mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From "Chiaming Hsu (JIRA)" <j...@apache.org>
Subject [jira] Created: (BUILDR-444) Buildr does not work on JRuby 1.5.0
Date Fri, 21 May 2010 21:02:15 GMT
Buildr does not work on JRuby 1.5.0
-----------------------------------

                 Key: BUILDR-444
                 URL: https://issues.apache.org/jira/browse/BUILDR-444
             Project: Buildr
          Issue Type: Bug
          Components: JRuby
    Affects Versions: 1.3.5
         Environment: $ uname -a
Linux wimp.cj.com 2.6.32.12-115.fc12.i686.PAE #1 SMP Fri Apr 30 20:14:08 UTC 2010 i686 i686
i386 GNU/Linux

$ jruby -v
jruby 1.5.0 (ruby 1.8.7 patchlevel 249) (2010-05-12 6769999) (Java HotSpot(TM) Client VM 1.6.0_17)
[i386-java]

$ jruby -S gem list --local

*** LOCAL GEMS ***

Antwrap (0.7.0)
archive-tar-minitar (0.5.2)
builder (2.1.2)
buildr (1.3.5)
columnize (0.3.1)
highline (1.5.1)
hoe (2.3.3)
jruby-openssl (0.7, 0.6, 0.5.2)
net-sftp (2.0.2)
net-ssh (2.0.15)
rake (0.8.7)
redcar (0.3.5)
rspec (1.3.0, 1.2.8)
ruby-debug (0.10.3)
ruby-debug-base (0.10.3.2)
rubyforge (1.0.5)
rubyzip (0.9.1)
sources (0.0.1)
xml-simple (1.0.12)

            Reporter: Chiaming Hsu


Error thrown when trying to run buildr

$ which buildr
/usr/java/jruby-1.5.0/bin/buildr

$ buildr
/usr/java/jruby-1.5.0/lib/ruby/site_ruby/shared/ffi/library.rb:46:in `ffi_libraries': no library
specified (LoadError)
        from /usr/java/jruby-1.5.0/lib/ruby/site_ruby/shared/ffi/library.rb:96:in `attach_function'
        from /usr/java/jruby-1.5.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/lib/buildr/core/util.rb:410
        from /usr/java/jruby-1.5.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/lib/buildr/core/util.rb:31:in
`require'
        from /usr/java/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
        from /usr/java/jruby-1.5.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/lib/buildr/core/common.rb:18
        from /usr/java/jruby-1.5.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/lib/buildr/core/common.rb:31:in
`require'
        from /usr/java/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
        from /usr/java/jruby-1.5.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/lib/buildr/core.rb:22
        from /usr/java/jruby-1.5.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/lib/buildr/core.rb:31:in
`require'
        from /usr/java/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
        from /usr/java/jruby-1.5.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/lib/buildr.rb:20
        from /usr/java/jruby-1.5.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/lib/buildr.rb:31:in
`require'
        from /usr/java/jruby-1.5.0/lib/ruby/site_ruby/1.8/rubygems/custom_require.rb:31:in
`require'
        from /usr/java/jruby-1.5.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/bin/buildr:18
        from /usr/java/jruby-1.5.0/lib/ruby/gems/1.8/gems/buildr-1.3.5-java/bin/buildr:19:in
`load'
        from /usr/java/jruby-1.5.0/bin/buildr:19


-- 
This message is automatically generated by JIRA.
-
You can reply to this email to add a comment to the issue online.


Mime
View raw message